Summary:	streamtuner
Name:		streamtuner
Version:	0.99.99
Release:	1
Copyright:	GPL
Group:		Multimedia
URL:		http://www.nongnu.org/streamtuner/
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		google-stations.py.diff
Patch1:		live365.c.diff
Patch2:		punkcast.com.py.diff
Patch3:		shoutcast.c.diff
Patch4:		st-action.c.diff
Patch5:		st-preselections.c.diff
Patch6:		local.c.diff
Patch7:		xiph.c.diff
Patch8:		st-stock.c.diff
Patch9:		streamtuner-0.99.99-live365.diff
Patch10:	%{name}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Requires:	streamripper

%description
streamtuner is a stream directory browser. Through the use of a plugin system, 
it offers an intuitive GTK+ 2.0 interface to Internet radio directories such 
as SHOUTcast and Live365. 

 With streamtuner, you can: 
Browse the SHOUTcast Yellow Pages
Browse the Live365 directory
 Browse the Xiph.org (aka icecast.org, aka Oddsock) directory 
Browse the basic.ch DJ mixes
 Manage your local music collection, with full support for ID3 and Vorbis metadata editing 
 Listen to streams, browse their web page, or record them using programs such as Streamripper 
 Implement new directory handlers as tiny Python scripts or as dynamically loadable modules 
 written in C 
Retain your favourite streams by bookmarking them
Manually add streams to your collection
streamtuner offers hundreds of thousands of music resources in a fast and clean common 
interface. 

%package        devel
Summary:        Development
Group:          Development

%description    devel
Streamtuner devel

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -R $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}
%{_libdir}/%name
%{_datadir}

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/pkgconfig
